org.eclipse.net4j.util.confirmation

## Class IConfirmationProvider.Factory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.net4j.util.confirmation.IConfirmationProvider.Factory

- All Implemented Interfaces:
    IFactory
  Direct Known Subclasses:
    IConfirmationProvider.Factory.Default, InteractiveConfirmationProvider.Factory
  Enclosing interface:
    IConfirmationProvider

      public abstract static class IConfirmationProvider.Factory
      extends Factory

  Since:
    3.4
  Author:
    Christian W. Damus (CEA LIST)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IConfirmationProvider.Factory.Default`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_TYPE`
    `static java.lang.String` | `INTERACTIVE_TYPE`
    `static java.lang.String` | `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Factory(java.lang.String type)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.factory.IFactory

      `create`

- - ### Field Detail

    - #### PRODUCT_GROUP

          public static final java.lang.String PRODUCT_GROUP

      See Also:
        Constant Field Values

    - #### DEFAULT_TYPE

          public static final java.lang.String DEFAULT_TYPE

      See Also:
        Constant Field Values

    - #### INTERACTIVE_TYPE

          public static final java.lang.String INTERACTIVE_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Factory

          public Factory(java.lang.String type)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html